{% load static %}
{% load humanize %}

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css"
        integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/main.css' %}">
    <title>Self-Serv</title>
</head>

<body style="background-color: rgb(226, 226, 226);">

    <div class="container-fluid">
        <!--Banner-->
        <div class="row">
            <div class="col-12">
                <h1 style="font-size: 72px; font-weight: bold; color: rgb(36, 170, 211)">Self-Serv<i
                        class="fas fa-utensils"></i>
                    <!--order no. {{order.id}}-->
                </h1>
            </div>
        </div>
        <!--End Banner-->




        <div class="row">
            <div class="col-8" style="padding-left: 5px; padding-right: 5px;">
                <!--Top Bar-->
                <div class="topbar">
                    <a href="#" class="tablinks btnSel" onclick="openCategory(event, 'Pastas')">Pastas</a>
                    <a href="#" class="tablinks btnNotSel" onclick="openCategory(event, 'Carnes')">Carnes</a>
                    <a href="#" class="tablinks btnNotSel" onclick="openCategory(event, 'Mariscos')">Mariscos</a>
                    <a href="#" class="tablinks btnNotSel" onclick="openCategory(event, 'Postres')">Postres</a>
                    <a href="#" class="tablinks btnNotSel" onclick="openCategory(event, 'Bebidas')">Bebidas</a>
                </div>
                <!--End Top Bar-->

                <!--Pastas-->
                <div style="max-height: 80vh;overflow-y: scroll;">
                    <div class="container-fluid tabcontent" id="Pastas">
                        <div class="row">
                            {% for p in products %}
                            {% if p.category.name == 'Pastas' %}
                            <div class="col-6" style="padding: 4px;">
                                <div class="card" style="padding:0px; border: 1px solid rgb(116, 116, 116)">
                                    <div class="container-fluid">
                                        <div class="row">
                                            <div class="col-6" style="padding:0; height: 128px;">
                                                <img class="imgfood" src="/media/{{p.photo}}" alt="Card image cap"
                                                    style="width:100%; margin-bottom: 0px;">
                                            </div>
                                            <div class="col-6" style="padding-left:8px;">

                                                <span style="font-size:16pt;">{{p.name}}</span>
                                                <br>
                                                <span style="font-size:14pt;">${{p.base_price|intcomma}}</span>
                                            </div>
                                        </div>
                                    </div>
                                    <a href="#" id="{{p.id}}" class="btn btn-info btnss btn-block"
                                        style="position:absolute; bottom: 0; left:0;">Agregar</a>
                                </div>
                            </div>
                            {% endif %}
                            {% endfor %}

                        </div>
                    </div>

                </div>
                <!--End Pastas-->

                <!--Carnes-->
                <div style="max-height: 623px;overflow-y: scroll;">
                    <div class="container-fluid tabcontent" id="Carnes">
                        <div class="row">

                            {% for p in products %}
                            {% if p.category.name == 'Carnes' %}
                            <div class="col-6" style="padding: 4px;">
                                <div class="card" style="padding:0px; border: 1px solid rgb(116, 116, 116)">
                                    <div class="container-fluid">
                                        <div class="row">
                                            <div class="col-6" style="padding:0; height: 128px;">
                                                <img class="imgfood" src="/media/{{p.photo}}" alt="Card image cap"
                                                    style="width:100%; margin-bottom: 0px;">
                                            </div>
                                            <div class="col-6" style="padding-left:8px;">

                                                <span style="font-size:16pt;">{{p.name}}</span>
                                                <br>
                                                <span style="font-size:14pt;">${{p.base_price|intcomma}}</span>
                                            </div>
                                        </div>
                                    </div>
                                    <a href="#" id="{{p.id}}" class="btn btn-info btnss btn-block"
                                        style="position:absolute; bottom: 0; left:0;">Agregar</a>
                                </div>
                            </div>
                            {% endif %}
                            {% endfor %}


                        </div>
                    </div>

                </div>
                <!--End Carnes-->

                <!--Mariscos-->
                <div style="max-height: 623px;overflow-y: scroll;">
                    <div class="container-fluid tabcontent" id="Mariscos">
                        <div class="row">
                            {% for p in products %}
                            {% if p.category.name == 'Mariscos' %}
                            <div class="col-6" style="padding: 4px;">
                                <div class="card" style="padding:0px; border: 1px solid rgb(116, 116, 116)">
                                    <div class="container-fluid">
                                        <div class="row">
                                            <div class="col-6" style="padding:0; height: 128px;">
                                                <img class="imgfood" src="/media/{{p.photo}}" alt="Card image cap"
                                                    style="width:100%; margin-bottom: 0px;">
                                            </div>
                                            <div class="col-6" style="padding-left:8px;">

                                                <span style="font-size:16pt;">{{p.name}}</span>
                                                <br>
                                                <span style="font-size:14pt;">${{p.base_price|intcomma}}</span>
                                            </div>
                                        </div>
                                    </div>
                                    <a href="#" id="{{p.id}}" class="btn btn-info btnss btn-block"
                                        style="position:absolute; bottom: 0; left:0;">Agregar</a>
                                </div>
                            </div>
                            {% endif %}
                            {% endfor %}
                        </div>
                    </div>

                </div>
                <!--End Mariscos-->

                <!--Postres-->
                <div style="max-height: 623px;overflow-y: scroll;">
                    <div class="container-fluid tabcontent" id="Postres">
                        <div class="row">
                            {% for p in products %}
                            {% if p.category.name == 'Postres' %}
                            <div class="col-6" style="padding: 4px;">
                                <div class="card" style="padding:0px; border: 1px solid rgb(116, 116, 116)">
                                    <div class="container-fluid">
                                        <div class="row">
                                            <div class="col-6" style="padding:0; height: 128px;">
                                                <img class="imgfood" src="/media/{{p.photo}}" alt="Card image cap"
                                                    style="width:100%; margin-bottom: 0px;">
                                            </div>
                                            <div class="col-6" style="padding-left:8px;">

                                                <span style="font-size:16pt;">{{p.name}}</span>
                                                <br>
                                                <span style="font-size:14pt;">${{p.base_price|intcomma}}</span>
                                            </div>
                                        </div>
                                    </div>
                                    <a href="#" id="{{p.id}}" class="btn btn-info btnss btn-block"
                                        style="position:absolute; bottom: 0; left:0;">Agregar</a>
                                </div>
                            </div>
                            {% endif %}
                            {% endfor %}


                        </div>
                    </div>

                </div>
                <!--End Postres-->

                <!--Bebidas-->
                <div style="max-height: 623px;overflow-y: scroll;">
                    <div class="container-fluid tabcontent" id="Bebidas">
                        <div class="row">

                            {% for p in products %}
                            {% if p.category.name == 'Bebidas' %}
                            <div class="col-6" style="padding: 4px;">
                                <div class="card" style="padding:0px; border: 1px solid rgb(116, 116, 116)">
                                    <div class="container-fluid">
                                        <div class="row">
                                            <div class="col-6" style="padding:0; height: 128px;">
                                                <img class="imgfood" src="/media/{{p.photo}}" alt="Card image cap"
                                                    style="width:100%; margin-bottom: 0px; object-fit: contain">
                                            </div>
                                            <div class="col-6" style="padding-left:8px;">

                                                <span style="font-size:16pt;">{{p.name}}</span>
                                                <br>
                                                <span style="font-size:14pt;">${{p.base_price|intcomma}}</span>
                                            </div>
                                        </div>
                                    </div>
                                    <a href="#" id="{{p.id}}" class="btn btn-info btnss btn-block"
                                        style="position:absolute; bottom: 0; left:0;">Agregar</a>
                                </div>
                            </div>
                            {% endif %}
                            {% endfor %}

                        </div>
                    </div>

                </div>
                <!--End Bebidas-->

            </div>



            <!--Right Sidebar-->
            <div class="col-4" style="padding-left: 0px; padding-right: 10px;">
                <div class="text-center">
                    <!--
                    <h2>Orden Actual</h2>
                    <hr>
                    <table class="table table-sm">
                        <th>Producto</th>
                        <th>Cant.</th>
                        <th>Precio</th>
                        <th>Quitar</th>

                        <tr>
                            <td>Pepsi 330 ml</td>
                            <td>1</td>
                            <td>$990</td>
                            <td> <a href="#"><i class="fas fa-trash"></i></a></td>
                        </tr>
                    </table>

                    <div class="text-center">
                        <a href="#" class="btn btn-info" style="width:45%; font-size: 18pt; padding: 3px;"
                            id="paybtn">Pedir</a>

                        <a href="#" class="btn btn-info" style="width:45%; font-size: 18pt; padding: 3px"
                            id="paybtn">Limpiar</a>
                    </div>
                    <br>
                    -->
                    <h2>Resumen Final</h2>
                    <hr>
                    <div id="resumen">
                        <div style="max-height: 50vh;overflow-y: scroll;">
                        <table class="table table-sm">
                            <th>Producto</th>
                            <th>Cant.</th>
                            <th>Precio</th>
                            <th>X</th>
                            {% for i in orderproducts %}
                            <tr>
                                <td>{{i.product.name}}</td>
                                <td>
                                    {{i.quantity}}

                                    <a href="/order/{{order.id}}/add/{{i.product.id}}"><i class="fas fa-plus-square"></i></a>

                                    <a href="/order/{{order.id}}/subtractone/{{i.product.id}}"><i class="fas fa-minus-square"></i></a>
                                </td>
                                <td>${{i.get_tot_prod|intcomma}}</td>
                                <td> <a href="remove/{{i.product.id}}"><i class="fas fa-trash"></i></a></td>
                            </tr>
                            {% endfor %}

                        </table>
                    </div>
                        <hr>

                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-6 text-left">
                                    <h2>Total:</h2>
                                </div>
                                <div class="col-6 text-right">

                                    <h2>${{order.get_total|intcomma}}</h2>

                                </div>
                            </div>
                        </div>
                        <hr>
                    </div>
                    <a href="clear/" class="btn btn-info paybtn" style="font-size: 18pt; width:48%;"><i
                            class="fas fa-trash"></i> Limpiar</a>


                    <a href="payment/" class="btn btn-info paybtn" style="width:50%; font-size: 18pt;"><i
                            class="fas fa-shopping-cart" style="margin-left:-6px;"></i> Pagar</a>

                </div>

            </div>
            <!--End Right Sidebar-->

            <div class="col-4" style="margin:0px;">

            </div>




        </div>
    </div>
</body>
<script src="{% static 'js/jquery-3.4.1.min.js' %}"></script>
<script src="{% static 'js/bootstrap.bundle.js' %}"></script>

<script>
    document.getElementById("Pastas").style.display = "block";

    function openCategory(evt, categoryName) {
        //variables
        var i, tabcontent, tablinks;

        //get all categories
        tabcontent = document.getElementsByClassName("tabcontent");

        //hide all categories
        for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
        }

        //get caterogies links
        tablinks = document.getElementsByClassName("tablinks btnSel");

        //set all links as inactive
        for (i = 0; i < tablinks.length; i++) {
            tablinks[i].className = tablinks[i].className = "tablinks btnNotSel";
        }

        //show pressed category
        document.getElementById(categoryName).style.display = "block";

        //set pressed link as active
        evt.currentTarget.className = "tablinks btnSel";
    }


    {% for p in products %}

    $('#{{p.id}}').on('click', function () {
    $.ajax({
        url: "/order/{{order.id}}/add/{{p.id}}", success: function (result) {
            $("#resumen").load(" #resumen");
        }
    })
    });

    {% endfor %}

</script>

</html>